1. Gumchai's Avatar
    Is anyone running Monopoly on a ver 2.2 iPhone? The description in App Store says you need the 2.2 OS but someone told me you actually need 2.2.1 or else it crashes. Just wanna confirm before I spend the money. Thanks.
    2009-05-10 11:02 AM
  2. GADeputy's Avatar
    How about just upgrading your phone to 2.2.1 then you won't have to worry about it possibly not working.
    2009-05-11 02:24 AM
  3. Broomhead's Avatar
    Monopoly works fine for me on 2.2
    2009-05-11 02:47 AM
LINK TO POST COPIED TO CLIPBOARD